Show / Hide Table of Contents

# Struct ImGuiPlatformIOPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPlatformIOPtr

### Constructors

| Improve this Doc View Source

#### ImGuiPlatformIOPtr(ImGuiPlatformIO*)

##### Declaration

    public ImGuiPlatformIOPtr(ImGuiPlatformIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformIO* | nativePtr |

| Improve this Doc View Source

#### ImGuiPlatformIOPtr(IntPtr)

##### Declaration

    public ImGuiPlatformIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Monitors

##### Declaration

    public readonly ImPtrVector<ImGuiPlatformMonitorPtr> Monitors { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImGuiPlatformMonitorPtr> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiPlatformIO*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiPlatformIO* |

| Improve this Doc View Source

#### Platform_CreateVkSurface

##### Declaration

    public readonly ref IntPtr Platform_CreateVkSurface { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_CreateWindow

##### Declaration

    public readonly ref IntPtr Platform_CreateWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_DestroyWindow

##### Declaration

    public readonly ref IntPtr Platform_DestroyWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowDpiScale

##### Declaration

    public readonly ref IntPtr Platform_GetWindowDpiScale { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowFocus

##### Declaration

    public readonly ref IntPtr Platform_GetWindowFocus { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowMinimized

##### Declaration

    public readonly ref IntPtr Platform_GetWindowMinimized { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowPos

##### Declaration

    public readonly ref IntPtr Platform_GetWindowPos { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowSize

##### Declaration

    public readonly ref IntPtr Platform_GetWindowSize { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_OnChangedViewport

##### Declaration

    public readonly ref IntPtr Platform_OnChangedViewport { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_RenderWindow

##### Declaration

    public readonly ref IntPtr Platform_RenderWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowAlpha

##### Declaration

    public readonly ref IntPtr Platform_SetWindowAlpha { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowFocus

##### Declaration

    public readonly ref IntPtr Platform_SetWindowFocus { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowPos

##### Declaration

    public readonly ref IntPtr Platform_SetWindowPos { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowSize

##### Declaration

    public readonly ref IntPtr Platform_SetWindowSize { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowTitle

##### Declaration

    public readonly ref IntPtr Platform_SetWindowTitle { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_ShowWindow

##### Declaration

    public readonly ref IntPtr Platform_ShowWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SwapBuffers

##### Declaration

    public readonly ref IntPtr Platform_SwapBuffers { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_UpdateWindow

##### Declaration

    public readonly ref IntPtr Platform_UpdateWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_CreateWindow

##### Declaration

    public readonly ref IntPtr Renderer_CreateWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_DestroyWindow

##### Declaration

    public readonly ref IntPtr Renderer_DestroyWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_RenderWindow

##### Declaration

    public readonly ref IntPtr Renderer_RenderWindow { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_SetWindowSize

##### Declaration

    public readonly ref IntPtr Renderer_SetWindowSize { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_SwapBuffers

##### Declaration

    public readonly ref IntPtr Renderer_SwapBuffers { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Viewports

##### Declaration

    public readonly ImVector<ImGuiViewportPtr> Viewports { get; }

##### Property Value

Type | Description
--- | ---
ImVector<ImGuiViewportPtr> |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiPlatformIO* to ImGuiPlatformIOPtr)

##### Declaration

    public static implicit operator ImGuiPlatformIOPtr(ImGuiPlatformIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformIO* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformIOPtr |

| Improve this Doc View Source

#### Implicit(ImGuiPlatformIOPtr to ImGuiPlatformIO*)

##### Declaration

    public static implicit operator ImGuiPlatformIO*(ImGuiPlatformIOPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformIOPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformIO* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiPlatformIOPtr)

##### Declaration

    public static implicit operator ImGuiPlatformIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformIOPtr |